org.apache.solr.search

## Class NoOpRegenerator

- java.lang.Object
- - org.apache.solr.search.NoOpRegenerator

- All Implemented Interfaces:
    CacheRegenerator

      public class NoOpRegenerator
      extends Object
      implements CacheRegenerator

  Cache regenerator that just populates the new cache with the old items.

  This is useful for e.g. CachingWrapperFilters that are not invalidated by the creation of a new searcher.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoOpRegenerator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `regenerateItem(SolrIndexSearcher newSearcher, SolrCache newCache, SolrCache oldCache, Object oldKey, Object oldVal)` Regenerate an old cache item and insert it into `newCache`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoOpRegenerator

          public NoOpRegenerator()

  - ### Method Detail

    - #### regenerateItem

          public boolean regenerateItem(SolrIndexSearcher newSearcher,
                                        SolrCache newCache,
                                        SolrCache oldCache,
                                        Object oldKey,
                                        Object oldVal)
                                 throws IOException

      Description copied from interface: `CacheRegenerator`
      Regenerate an old cache item and insert it into `newCache`
      Specified by:
        `regenerateItem` in interface `CacheRegenerator`
      Parameters:
        `newSearcher` - the new searcher who's caches are being autowarmed
        `newCache` - where regenerated cache items should be stored. the target of the autowarming
        `oldCache` - the old cache being used as a source for autowarming
        `oldKey` - the key of the old cache item to regenerate in the new cache
        `oldVal` - the old value of the cache item
      Returns:
        true to continue with autowarming, false to stop
      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.